# Generated by Django 4.1.3 on 2023-03-31 19:43

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("metaservicesynced", "0001_initial"),
        ("tickets", "0001_initial"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name="servicetype",
            name="ticket_status",
            field=models.ForeignKey(
                help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="tickets.task",
            ),
        ),
        migrations.AddField(
            model_name="relationship",
            name="ticket_status",
            field=models.ForeignKey(
                help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="tickets.task",
            ),
        ),
        migrations.AddField(
            model_name="relationship",
            name="user_id_who",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="user_id_who",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="relationship",
            name="user_id_whom",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="user_id_whom",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="provider",
            name="ticket_status",
            field=models.ForeignKey(
                help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="tickets.task",
            ),
        ),
        migrations.AddField(
            model_name="provider",
            name="user_id",
            field=models.ForeignKey(
                help_text="уникальный идентификатор конкретного пользователя системы (meta-user), который будет оказывать услугу. Один пользователь может быть провайдером нескольких услуг. Статус провайдера означает, что с данным пользователем может быть установлена связь, как с исполнителем.",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="permissions",
            name="checked_by",
            field=models.ForeignKey(
                help_text="(check-level из классификатора платформы) - информация об уровне проверки. Проверка может быть проведена как платформой, так и мета-сервисом, так и партнером мета-сервиса, а может быть и никем (просто загружен). Указывается, так как достоверность проверки разная. Экзамен, проверенный только на низком уровне, не принимается во внимание как имеющийся до прохождения более высокоуровневой проверки.",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="checked_by_perm",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="permissions",
            name="ticket_status",
            field=models.ForeignKey(
                help_text="id заявки, по которой происходит проверка статуса relationship. State меняется только в результате изменений в заявке.",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="tickets.task",
            ),
        ),
        migrations.AddField(
            model_name="permissions",
            name="user_id",
            field=models.ForeignKey(
                help_text="уникальный идентификатор пользователя/клиента/аккаунта, которым была пройдена проверка и получено разрешение",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="user_id_perm",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="orders",
            name="client_id",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="metaservicesynced.client",
            ),
        ),
        migrations.AddField(
            model_name="orders",
            name="provider",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="metaservicesynced.provider",
            ),
        ),
        migrations.AddField(
            model_name="orders",
            name="receiver",
            field=models.ForeignKey(
                help_text="уникальный идентификатор пользователя (конкретного клиентского аккаунта) являющегося владельцем данного документа",
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="user_id",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="orders",
            name="service_type",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="metaservicesynced.servicetype",
            ),
        ),
        migrations.AddField(
            model_name="documents",
            name="checked_by",
            field=models.ForeignKey(
                help_text="userid проверившего",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="checked_by_doc",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="documents",
            name="ticket_status",
            field=models.ForeignKey(
                help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="tickets.task",
            ),
        ),
        migrations.AddField(
            model_name="documents",
            name="user_id",
            field=models.ForeignKey(
                help_text="уникальный идентификатор пользователя (конкретного клиентского аккаунта) являющегося владельцем данного документа",
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="user_id_doc",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="client",
            name="ticket_status",
            field=models.ForeignKey(
                help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="tickets.task",
            ),
        ),
        migrations.AddField(
            model_name="client",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.DO_NOTHING,
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
